Annotation of OpenXM/src/kxx/configure, Revision 1.1
1.1 ! takayama 1: #! /bin/sh
! 2:
! 3: # Guess values for system-dependent variables and create Makefiles.
! 4: # Generated automatically using autoconf version 2.13
! 5: # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
! 6: #
! 7: # This configure script is free software; the Free Software Foundation
! 8: # gives unlimited permission to copy, distribute and modify it.
! 9:
! 10: # Defaults:
! 11: ac_help=
! 12: ac_default_prefix=/usr/local
! 13: # Any additions from configure.in:
! 14:
! 15: # Initialize some variables set by options.
! 16: # The variables have the same names as the options, with
! 17: # dashes changed to underlines.
! 18: build=NONE
! 19: cache_file=./config.cache
! 20: exec_prefix=NONE
! 21: host=NONE
! 22: no_create=
! 23: nonopt=NONE
! 24: no_recursion=
! 25: prefix=NONE
! 26: program_prefix=NONE
! 27: program_suffix=NONE
! 28: program_transform_name=s,x,x,
! 29: silent=
! 30: site=
! 31: srcdir=
! 32: target=NONE
! 33: verbose=
! 34: x_includes=NONE
! 35: x_libraries=NONE
! 36: bindir='${exec_prefix}/bin'
! 37: sbindir='${exec_prefix}/sbin'
! 38: libexecdir='${exec_prefix}/libexec'
! 39: datadir='${prefix}/share'
! 40: sysconfdir='${prefix}/etc'
! 41: sharedstatedir='${prefix}/com'
! 42: localstatedir='${prefix}/var'
! 43: libdir='${exec_prefix}/lib'
! 44: includedir='${prefix}/include'
! 45: oldincludedir='/usr/include'
! 46: infodir='${prefix}/info'
! 47: mandir='${prefix}/man'
! 48:
! 49: # Initialize some other variables.
! 50: subdirs=
! 51: MFLAGS= MAKEFLAGS=
! 52: SHELL=${CONFIG_SHELL-/bin/sh}
! 53: # Maximum number of lines to put in a shell here document.
! 54: ac_max_here_lines=12
! 55:
! 56: ac_prev=
! 57: for ac_option
! 58: do
! 59:
! 60: # If the previous option needs an argument, assign it.
! 61: if test -n "$ac_prev"; then
! 62: eval "$ac_prev=\$ac_option"
! 63: ac_prev=
! 64: continue
! 65: fi
! 66:
! 67: case "$ac_option" in
! 68: -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
! 69: *) ac_optarg= ;;
! 70: esac
! 71:
! 72: # Accept the important Cygnus configure options, so we can diagnose typos.
! 73:
! 74: case "$ac_option" in
! 75:
! 76: -bindir | --bindir | --bindi | --bind | --bin | --bi)
! 77: ac_prev=bindir ;;
! 78: -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
! 79: bindir="$ac_optarg" ;;
! 80:
! 81: -build | --build | --buil | --bui | --bu)
! 82: ac_prev=build ;;
! 83: -build=* | --build=* | --buil=* | --bui=* | --bu=*)
! 84: build="$ac_optarg" ;;
! 85:
! 86: -cache-file | --cache-file | --cache-fil | --cache-fi \
! 87: | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
! 88: ac_prev=cache_file ;;
! 89: -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
! 90: | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
! 91: cache_file="$ac_optarg" ;;
! 92:
! 93: -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
! 94: ac_prev=datadir ;;
! 95: -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
! 96: | --da=*)
! 97: datadir="$ac_optarg" ;;
! 98:
! 99: -disable-* | --disable-*)
! 100: ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
! 101: # Reject names that are not valid shell variable names.
! 102: if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
! 103: { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
! 104: fi
! 105: ac_feature=`echo $ac_feature| sed 's/-/_/g'`
! 106: eval "enable_${ac_feature}=no" ;;
! 107:
! 108: -enable-* | --enable-*)
! 109: ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
! 110: # Reject names that are not valid shell variable names.
! 111: if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
! 112: { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
! 113: fi
! 114: ac_feature=`echo $ac_feature| sed 's/-/_/g'`
! 115: case "$ac_option" in
! 116: *=*) ;;
! 117: *) ac_optarg=yes ;;
! 118: esac
! 119: eval "enable_${ac_feature}='$ac_optarg'" ;;
! 120:
! 121: -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
! 122: | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
! 123: | --exec | --exe | --ex)
! 124: ac_prev=exec_prefix ;;
! 125: -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
! 126: | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
! 127: | --exec=* | --exe=* | --ex=*)
! 128: exec_prefix="$ac_optarg" ;;
! 129:
! 130: -gas | --gas | --ga | --g)
! 131: # Obsolete; use --with-gas.
! 132: with_gas=yes ;;
! 133:
! 134: -help | --help | --hel | --he)
! 135: # Omit some internal or obsolete options to make the list less imposing.
! 136: # This message is too long to be a string in the A/UX 3.1 sh.
! 137: cat << EOF
! 138: Usage: configure [options] [host]
! 139: Options: [defaults in brackets after descriptions]
! 140: Configuration:
! 141: --cache-file=FILE cache test results in FILE
! 142: --help print this message
! 143: --no-create do not create output files
! 144: --quiet, --silent do not print \`checking...' messages
! 145: --version print the version of autoconf that created configure
! 146: Directory and file names:
! 147: --prefix=PREFIX install architecture-independent files in PREFIX
! 148: [$ac_default_prefix]
! 149: --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
! 150: [same as prefix]
! 151: --bindir=DIR user executables in DIR [EPREFIX/bin]
! 152: --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
! 153: --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
! 154: --datadir=DIR read-only architecture-independent data in DIR
! 155: [PREFIX/share]
! 156: --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
! 157: --sharedstatedir=DIR modifiable architecture-independent data in DIR
! 158: [PREFIX/com]
! 159: --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
! 160: --libdir=DIR object code libraries in DIR [EPREFIX/lib]
! 161: --includedir=DIR C header files in DIR [PREFIX/include]
! 162: --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
! 163: --infodir=DIR info documentation in DIR [PREFIX/info]
! 164: --mandir=DIR man documentation in DIR [PREFIX/man]
! 165: --srcdir=DIR find the sources in DIR [configure dir or ..]
! 166: --program-prefix=PREFIX prepend PREFIX to installed program names
! 167: --program-suffix=SUFFIX append SUFFIX to installed program names
! 168: --program-transform-name=PROGRAM
! 169: run sed PROGRAM on installed program names
! 170: EOF
! 171: cat << EOF
! 172: Host type:
! 173: --build=BUILD configure for building on BUILD [BUILD=HOST]
! 174: --host=HOST configure for HOST [guessed]
! 175: --target=TARGET configure for TARGET [TARGET=HOST]
! 176: Features and packages:
! 177: --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
! 178: --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
! 179: --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
! 180: --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
! 181: --x-includes=DIR X include files are in DIR
! 182: --x-libraries=DIR X library files are in DIR
! 183: EOF
! 184: if test -n "$ac_help"; then
! 185: echo "--enable and --with options recognized:$ac_help"
! 186: fi
! 187: exit 0 ;;
! 188:
! 189: -host | --host | --hos | --ho)
! 190: ac_prev=host ;;
! 191: -host=* | --host=* | --hos=* | --ho=*)
! 192: host="$ac_optarg" ;;
! 193:
! 194: -includedir | --includedir | --includedi | --included | --include \
! 195: | --includ | --inclu | --incl | --inc)
! 196: ac_prev=includedir ;;
! 197: -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
! 198: | --includ=* | --inclu=* | --incl=* | --inc=*)
! 199: includedir="$ac_optarg" ;;
! 200:
! 201: -infodir | --infodir | --infodi | --infod | --info | --inf)
! 202: ac_prev=infodir ;;
! 203: -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
! 204: infodir="$ac_optarg" ;;
! 205:
! 206: -libdir | --libdir | --libdi | --libd)
! 207: ac_prev=libdir ;;
! 208: -libdir=* | --libdir=* | --libdi=* | --libd=*)
! 209: libdir="$ac_optarg" ;;
! 210:
! 211: -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
! 212: | --libexe | --libex | --libe)
! 213: ac_prev=libexecdir ;;
! 214: -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
! 215: | --libexe=* | --libex=* | --libe=*)
! 216: libexecdir="$ac_optarg" ;;
! 217:
! 218: -localstatedir | --localstatedir | --localstatedi | --localstated \
! 219: | --localstate | --localstat | --localsta | --localst \
! 220: | --locals | --local | --loca | --loc | --lo)
! 221: ac_prev=localstatedir ;;
! 222: -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
! 223: | --localstate=* | --localstat=* | --localsta=* | --localst=* \
! 224: | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
! 225: localstatedir="$ac_optarg" ;;
! 226:
! 227: -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
! 228: ac_prev=mandir ;;
! 229: -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
! 230: mandir="$ac_optarg" ;;
! 231:
! 232: -nfp | --nfp | --nf)
! 233: # Obsolete; use --without-fp.
! 234: with_fp=no ;;
! 235:
! 236: -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! 237: | --no-cr | --no-c)
! 238: no_create=yes ;;
! 239:
! 240: -no-recursion | --no-recursion | --no-recursio | --no-recursi \
! 241: | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
! 242: no_recursion=yes ;;
! 243:
! 244: -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
! 245: | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
! 246: | --oldin | --oldi | --old | --ol | --o)
! 247: ac_prev=oldincludedir ;;
! 248: -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
! 249: | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
! 250: | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
! 251: oldincludedir="$ac_optarg" ;;
! 252:
! 253: -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
! 254: ac_prev=prefix ;;
! 255: -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
! 256: prefix="$ac_optarg" ;;
! 257:
! 258: -program-prefix | --program-prefix | --program-prefi | --program-pref \
! 259: | --program-pre | --program-pr | --program-p)
! 260: ac_prev=program_prefix ;;
! 261: -program-prefix=* | --program-prefix=* | --program-prefi=* \
! 262: | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
! 263: program_prefix="$ac_optarg" ;;
! 264:
! 265: -program-suffix | --program-suffix | --program-suffi | --program-suff \
! 266: | --program-suf | --program-su | --program-s)
! 267: ac_prev=program_suffix ;;
! 268: -program-suffix=* | --program-suffix=* | --program-suffi=* \
! 269: | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
! 270: program_suffix="$ac_optarg" ;;
! 271:
! 272: -program-transform-name | --program-transform-name \
! 273: | --program-transform-nam | --program-transform-na \
! 274: | --program-transform-n | --program-transform- \
! 275: | --program-transform | --program-transfor \
! 276: | --program-transfo | --program-transf \
! 277: | --program-trans | --program-tran \
! 278: | --progr-tra | --program-tr | --program-t)
! 279: ac_prev=program_transform_name ;;
! 280: -program-transform-name=* | --program-transform-name=* \
! 281: | --program-transform-nam=* | --program-transform-na=* \
! 282: | --program-transform-n=* | --program-transform-=* \
! 283: | --program-transform=* | --program-transfor=* \
! 284: | --program-transfo=* | --program-transf=* \
! 285: | --program-trans=* | --program-tran=* \
! 286: | --progr-tra=* | --program-tr=* | --program-t=*)
! 287: program_transform_name="$ac_optarg" ;;
! 288:
! 289: -q | -quiet | --quiet | --quie | --qui | --qu | --q \
! 290: | -silent | --silent | --silen | --sile | --sil)
! 291: silent=yes ;;
! 292:
! 293: -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
! 294: ac_prev=sbindir ;;
! 295: -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
! 296: | --sbi=* | --sb=*)
! 297: sbindir="$ac_optarg" ;;
! 298:
! 299: -sharedstatedir | --sharedstatedir | --sharedstatedi \
! 300: | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
! 301: | --sharedst | --shareds | --shared | --share | --shar \
! 302: | --sha | --sh)
! 303: ac_prev=sharedstatedir ;;
! 304: -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
! 305: | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
! 306: | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
! 307: | --sha=* | --sh=*)
! 308: sharedstatedir="$ac_optarg" ;;
! 309:
! 310: -site | --site | --sit)
! 311: ac_prev=site ;;
! 312: -site=* | --site=* | --sit=*)
! 313: site="$ac_optarg" ;;
! 314:
! 315: -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
! 316: ac_prev=srcdir ;;
! 317: -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
! 318: srcdir="$ac_optarg" ;;
! 319:
! 320: -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
! 321: | --syscon | --sysco | --sysc | --sys | --sy)
! 322: ac_prev=sysconfdir ;;
! 323: -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
! 324: | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
! 325: sysconfdir="$ac_optarg" ;;
! 326:
! 327: -target | --target | --targe | --targ | --tar | --ta | --t)
! 328: ac_prev=target ;;
! 329: -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
! 330: target="$ac_optarg" ;;
! 331:
! 332: -v | -verbose | --verbose | --verbos | --verbo | --verb)
! 333: verbose=yes ;;
! 334:
! 335: -version | --version | --versio | --versi | --vers)
! 336: echo "configure generated by autoconf version 2.13"
! 337: exit 0 ;;
! 338:
! 339: -with-* | --with-*)
! 340: ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
! 341: # Reject names that are not valid shell variable names.
! 342: if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
! 343: { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
! 344: fi
! 345: ac_package=`echo $ac_package| sed 's/-/_/g'`
! 346: case "$ac_option" in
! 347: *=*) ;;
! 348: *) ac_optarg=yes ;;
! 349: esac
! 350: eval "with_${ac_package}='$ac_optarg'" ;;
! 351:
! 352: -without-* | --without-*)
! 353: ac_package=`echo $ac_option|sed -e 's/-*without-//'`
! 354: # Reject names that are not valid shell variable names.
! 355: if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
! 356: { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
! 357: fi
! 358: ac_package=`echo $ac_package| sed 's/-/_/g'`
! 359: eval "with_${ac_package}=no" ;;
! 360:
! 361: --x)
! 362: # Obsolete; use --with-x.
! 363: with_x=yes ;;
! 364:
! 365: -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
! 366: | --x-incl | --x-inc | --x-in | --x-i)
! 367: ac_prev=x_includes ;;
! 368: -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
! 369: | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
! 370: x_includes="$ac_optarg" ;;
! 371:
! 372: -x-libraries | --x-libraries | --x-librarie | --x-librari \
! 373: | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
! 374: ac_prev=x_libraries ;;
! 375: -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
! 376: | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
! 377: x_libraries="$ac_optarg" ;;
! 378:
! 379: -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
! 380: ;;
! 381:
! 382: *)
! 383: if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
! 384: echo "configure: warning: $ac_option: invalid host type" 1>&2
! 385: fi
! 386: if test "x$nonopt" != xNONE; then
! 387: { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
! 388: fi
! 389: nonopt="$ac_option"
! 390: ;;
! 391:
! 392: esac
! 393: done
! 394:
! 395: if test -n "$ac_prev"; then
! 396: { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
! 397: fi
! 398:
! 399: trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
! 400:
! 401: # File descriptor usage:
! 402: # 0 standard input
! 403: # 1 file creation
! 404: # 2 errors and warnings
! 405: # 3 some systems may open it to /dev/tty
! 406: # 4 used on the Kubota Titan
! 407: # 6 checking for... messages and results
! 408: # 5 compiler messages saved in config.log
! 409: if test "$silent" = yes; then
! 410: exec 6>/dev/null
! 411: else
! 412: exec 6>&1
! 413: fi
! 414: exec 5>./config.log
! 415:
! 416: echo "\
! 417: This file contains any messages produced by compilers while
! 418: running configure, to aid debugging if configure makes a mistake.
! 419: " 1>&5
! 420:
! 421: # Strip out --no-create and --no-recursion so they do not pile up.
! 422: # Also quote any args containing shell metacharacters.
! 423: ac_configure_args=
! 424: for ac_arg
! 425: do
! 426: case "$ac_arg" in
! 427: -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! 428: | --no-cr | --no-c) ;;
! 429: -no-recursion | --no-recursion | --no-recursio | --no-recursi \
! 430: | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
! 431: *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
! 432: ac_configure_args="$ac_configure_args '$ac_arg'" ;;
! 433: *) ac_configure_args="$ac_configure_args $ac_arg" ;;
! 434: esac
! 435: done
! 436:
! 437: # NLS nuisances.
! 438: # Only set these to C if already set. These must not be set unconditionally
! 439: # because not all systems understand e.g. LANG=C (notably SCO).
! 440: # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
! 441: # Non-C LC_CTYPE values break the ctype check.
! 442: if test "${LANG+set}" = set; then LANG=C; export LANG; fi
! 443: if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
! 444: if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
! 445: if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
! 446:
! 447: # confdefs.h avoids OS command line length limits that DEFS can exceed.
! 448: rm -rf conftest* confdefs.h
! 449: # AIX cpp loses on an empty file, so make sure it contains at least a newline.
! 450: echo > confdefs.h
! 451:
! 452: # A filename unique to this package, relative to the directory that
! 453: # configure is in, which we can look for to find out if srcdir is correct.
! 454: ac_unique_file=oxmain.c
! 455:
! 456: # Find the source files, if location was not specified.
! 457: if test -z "$srcdir"; then
! 458: ac_srcdir_defaulted=yes
! 459: # Try the directory containing this script, then its parent.
! 460: ac_prog=$0
! 461: ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
! 462: test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
! 463: srcdir=$ac_confdir
! 464: if test ! -r $srcdir/$ac_unique_file; then
! 465: srcdir=..
! 466: fi
! 467: else
! 468: ac_srcdir_defaulted=no
! 469: fi
! 470: if test ! -r $srcdir/$ac_unique_file; then
! 471: if test "$ac_srcdir_defaulted" = yes; then
! 472: { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
! 473: else
! 474: { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
! 475: fi
! 476: fi
! 477: srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
! 478:
! 479: # Prefer explicitly selected file to automatically selected ones.
! 480: if test -z "$CONFIG_SITE"; then
! 481: if test "x$prefix" != xNONE; then
! 482: CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
! 483: else
! 484: CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
! 485: fi
! 486: fi
! 487: for ac_site_file in $CONFIG_SITE; do
! 488: if test -r "$ac_site_file"; then
! 489: echo "loading site script $ac_site_file"
! 490: . "$ac_site_file"
! 491: fi
! 492: done
! 493:
! 494: if test -r "$cache_file"; then
! 495: echo "loading cache $cache_file"
! 496: . $cache_file
! 497: else
! 498: echo "creating cache $cache_file"
! 499: > $cache_file
! 500: fi
! 501:
! 502: ac_ext=c
! 503: # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
! 504: ac_cpp='$CPP $CPPFLAGS'
! 505: ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
! 506: ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
! 507: cross_compiling=$ac_cv_prog_cc_cross
! 508:
! 509: ac_exeext=
! 510: ac_objext=o
! 511: if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
! 512: # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
! 513: if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
! 514: ac_n= ac_c='
! 515: ' ac_t=' '
! 516: else
! 517: ac_n=-n ac_c= ac_t=
! 518: fi
! 519: else
! 520: ac_n= ac_c='\c' ac_t=
! 521: fi
! 522:
! 523:
! 524: # Extract the first word of "gcc", so it can be a program name with args.
! 525: set dummy gcc; ac_word=$2
! 526: echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
! 527: echo "configure:528: checking for $ac_word" >&5
! 528: if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
! 529: echo $ac_n "(cached) $ac_c" 1>&6
! 530: else
! 531: if test -n "$CC"; then
! 532: ac_cv_prog_CC="$CC" # Let the user override the test.
! 533: else
! 534: IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
! 535: ac_dummy="$PATH"
! 536: for ac_dir in $ac_dummy; do
! 537: test -z "$ac_dir" && ac_dir=.
! 538: if test -f $ac_dir/$ac_word; then
! 539: ac_cv_prog_CC="gcc"
! 540: break
! 541: fi
! 542: done
! 543: IFS="$ac_save_ifs"
! 544: fi
! 545: fi
! 546: CC="$ac_cv_prog_CC"
! 547: if test -n "$CC"; then
! 548: echo "$ac_t""$CC" 1>&6
! 549: else
! 550: echo "$ac_t""no" 1>&6
! 551: fi
! 552:
! 553: if test -z "$CC"; then
! 554: # Extract the first word of "cc", so it can be a program name with args.
! 555: set dummy cc; ac_word=$2
! 556: echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
! 557: echo "configure:558: checking for $ac_word" >&5
! 558: if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
! 559: echo $ac_n "(cached) $ac_c" 1>&6
! 560: else
! 561: if test -n "$CC"; then
! 562: ac_cv_prog_CC="$CC" # Let the user override the test.
! 563: else
! 564: IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
! 565: ac_prog_rejected=no
! 566: ac_dummy="$PATH"
! 567: for ac_dir in $ac_dummy; do
! 568: test -z "$ac_dir" && ac_dir=.
! 569: if test -f $ac_dir/$ac_word; then
! 570: if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
! 571: ac_prog_rejected=yes
! 572: continue
! 573: fi
! 574: ac_cv_prog_CC="cc"
! 575: break
! 576: fi
! 577: done
! 578: IFS="$ac_save_ifs"
! 579: if test $ac_prog_rejected = yes; then
! 580: # We found a bogon in the path, so make sure we never use it.
! 581: set dummy $ac_cv_prog_CC
! 582: shift
! 583: if test $# -gt 0; then
! 584: # We chose a different compiler from the bogus one.
! 585: # However, it has the same basename, so the bogon will be chosen
! 586: # first if we set CC to just the basename; use the full file name.
! 587: shift
! 588: set dummy "$ac_dir/$ac_word" "$@"
! 589: shift
! 590: ac_cv_prog_CC="$@"
! 591: fi
! 592: fi
! 593: fi
! 594: fi
! 595: CC="$ac_cv_prog_CC"
! 596: if test -n "$CC"; then
! 597: echo "$ac_t""$CC" 1>&6
! 598: else
! 599: echo "$ac_t""no" 1>&6
! 600: fi
! 601:
! 602: if test -z "$CC"; then
! 603: case "`uname -s`" in
! 604: *win32* | *WIN32*)
! 605: # Extract the first word of "cl", so it can be a program name with args.
! 606: set dummy cl; ac_word=$2
! 607: echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
! 608: echo "configure:609: checking for $ac_word" >&5
! 609: if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
! 610: echo $ac_n "(cached) $ac_c" 1>&6
! 611: else
! 612: if test -n "$CC"; then
! 613: ac_cv_prog_CC="$CC" # Let the user override the test.
! 614: else
! 615: IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
! 616: ac_dummy="$PATH"
! 617: for ac_dir in $ac_dummy; do
! 618: test -z "$ac_dir" && ac_dir=.
! 619: if test -f $ac_dir/$ac_word; then
! 620: ac_cv_prog_CC="cl"
! 621: break
! 622: fi
! 623: done
! 624: IFS="$ac_save_ifs"
! 625: fi
! 626: fi
! 627: CC="$ac_cv_prog_CC"
! 628: if test -n "$CC"; then
! 629: echo "$ac_t""$CC" 1>&6
! 630: else
! 631: echo "$ac_t""no" 1>&6
! 632: fi
! 633: ;;
! 634: esac
! 635: fi
! 636: test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
! 637: fi
! 638:
! 639: echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
! 640: echo "configure:641: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
! 641:
! 642: ac_ext=c
! 643: # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
! 644: ac_cpp='$CPP $CPPFLAGS'
! 645: ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
! 646: ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
! 647: cross_compiling=$ac_cv_prog_cc_cross
! 648:
! 649: cat > conftest.$ac_ext << EOF
! 650:
! 651: #line 652 "configure"
! 652: #include "confdefs.h"
! 653:
! 654: main(){return(0);}
! 655: EOF
! 656: if { (eval echo configure:657: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
! 657: ac_cv_prog_cc_works=yes
! 658: # If we can't run a trivial program, we are probably using a cross compiler.
! 659: if (./conftest; exit) 2>/dev/null; then
! 660: ac_cv_prog_cc_cross=no
! 661: else
! 662: ac_cv_prog_cc_cross=yes
! 663: fi
! 664: else
! 665: echo "configure: failed program was:" >&5
! 666: cat conftest.$ac_ext >&5
! 667: ac_cv_prog_cc_works=no
! 668: fi
! 669: rm -fr conftest*
! 670: ac_ext=c
! 671: # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
! 672: ac_cpp='$CPP $CPPFLAGS'
! 673: ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
! 674: ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
! 675: cross_compiling=$ac_cv_prog_cc_cross
! 676:
! 677: echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
! 678: if test $ac_cv_prog_cc_works = no; then
! 679: { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
! 680: fi
! 681: echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
! 682: echo "configure:683: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
! 683: echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
! 684: cross_compiling=$ac_cv_prog_cc_cross
! 685:
! 686: echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
! 687: echo "configure:688: checking whether we are using GNU C" >&5
! 688: if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
! 689: echo $ac_n "(cached) $ac_c" 1>&6
! 690: else
! 691: cat > conftest.c <<EOF
! 692: #ifdef __GNUC__
! 693: yes;
! 694: #endif
! 695: EOF
! 696: if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:697: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
! 697: ac_cv_prog_gcc=yes
! 698: else
! 699: ac_cv_prog_gcc=no
! 700: fi
! 701: fi
! 702:
! 703: echo "$ac_t""$ac_cv_prog_gcc" 1>&6
! 704:
! 705: if test $ac_cv_prog_gcc = yes; then
! 706: GCC=yes
! 707: else
! 708: GCC=
! 709: fi
! 710:
! 711: ac_test_CFLAGS="${CFLAGS+set}"
! 712: ac_save_CFLAGS="$CFLAGS"
! 713: CFLAGS=
! 714: echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
! 715: echo "configure:716: checking whether ${CC-cc} accepts -g" >&5
! 716: if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
! 717: echo $ac_n "(cached) $ac_c" 1>&6
! 718: else
! 719: echo 'void f(){}' > conftest.c
! 720: if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
! 721: ac_cv_prog_cc_g=yes
! 722: else
! 723: ac_cv_prog_cc_g=no
! 724: fi
! 725: rm -f conftest*
! 726:
! 727: fi
! 728:
! 729: echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
! 730: if test "$ac_test_CFLAGS" = set; then
! 731: CFLAGS="$ac_save_CFLAGS"
! 732: elif test $ac_cv_prog_cc_g = yes; then
! 733: if test "$GCC" = yes; then
! 734: CFLAGS="-g -O2"
! 735: else
! 736: CFLAGS="-g"
! 737: fi
! 738: else
! 739: if test "$GCC" = yes; then
! 740: CFLAGS="-O2"
! 741: else
! 742: CFLAGS=
! 743: fi
! 744: fi
! 745:
! 746: # Extract the first word of "ranlib", so it can be a program name with args.
! 747: set dummy ranlib; ac_word=$2
! 748: echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
! 749: echo "configure:750: checking for $ac_word" >&5
! 750: if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
! 751: echo $ac_n "(cached) $ac_c" 1>&6
! 752: else
! 753: if test -n "$RANLIB"; then
! 754: ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
! 755: else
! 756: IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
! 757: ac_dummy="$PATH"
! 758: for ac_dir in $ac_dummy; do
! 759: test -z "$ac_dir" && ac_dir=.
! 760: if test -f $ac_dir/$ac_word; then
! 761: ac_cv_prog_RANLIB="ranlib"
! 762: break
! 763: fi
! 764: done
! 765: IFS="$ac_save_ifs"
! 766: test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
! 767: fi
! 768: fi
! 769: RANLIB="$ac_cv_prog_RANLIB"
! 770: if test -n "$RANLIB"; then
! 771: echo "$ac_t""$RANLIB" 1>&6
! 772: else
! 773: echo "$ac_t""no" 1>&6
! 774: fi
! 775:
! 776:
! 777: echo $ac_n "checking for socket""... $ac_c" 1>&6
! 778: echo "configure:779: checking for socket" >&5
! 779: if eval "test \"`echo '$''{'ac_cv_func_socket'+set}'`\" = set"; then
! 780: echo $ac_n "(cached) $ac_c" 1>&6
! 781: else
! 782: cat > conftest.$ac_ext <<EOF
! 783: #line 784 "configure"
! 784: #include "confdefs.h"
! 785: /* System header to define __stub macros and hopefully few prototypes,
! 786: which can conflict with char socket(); below. */
! 787: #include <assert.h>
! 788: /* Override any gcc2 internal prototype to avoid an error. */
! 789: /* We use char because int might match the return type of a gcc2
! 790: builtin and then its argument prototype would still apply. */
! 791: char socket();
! 792:
! 793: int main() {
! 794:
! 795: /* The GNU C library defines this for functions which it implements
! 796: to always fail with ENOSYS. Some functions are actually named
! 797: something starting with __ and the normal name is an alias. */
! 798: #if defined (__stub_socket) || defined (__stub___socket)
! 799: choke me
! 800: #else
! 801: socket();
! 802: #endif
! 803:
! 804: ; return 0; }
! 805: EOF
! 806: if { (eval echo configure:807: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
! 807: rm -rf conftest*
! 808: eval "ac_cv_func_socket=yes"
! 809: else
! 810: echo "configure: failed program was:" >&5
! 811: cat conftest.$ac_ext >&5
! 812: rm -rf conftest*
! 813: eval "ac_cv_func_socket=no"
! 814: fi
! 815: rm -f conftest*
! 816: fi
! 817:
! 818: if eval "test \"`echo '$ac_cv_func_'socket`\" = yes"; then
! 819: echo "$ac_t""yes" 1>&6
! 820: :
! 821: else
! 822: echo "$ac_t""no" 1>&6
! 823: fi
! 824:
! 825: if test "$ac_cv_func_socket" = no ; then
! 826: echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
! 827: echo "configure:828: checking for socket in -lsocket" >&5
! 828: ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
! 829: if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
! 830: echo $ac_n "(cached) $ac_c" 1>&6
! 831: else
! 832: ac_save_LIBS="$LIBS"
! 833: LIBS="-lsocket $LIBS"
! 834: cat > conftest.$ac_ext <<EOF
! 835: #line 836 "configure"
! 836: #include "confdefs.h"
! 837: /* Override any gcc2 internal prototype to avoid an error. */
! 838: /* We use char because int might match the return type of a gcc2
! 839: builtin and then its argument prototype would still apply. */
! 840: char socket();
! 841:
! 842: int main() {
! 843: socket()
! 844: ; return 0; }
! 845: EOF
! 846: if { (eval echo configure:847: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
! 847: rm -rf conftest*
! 848: eval "ac_cv_lib_$ac_lib_var=yes"
! 849: else
! 850: echo "configure: failed program was:" >&5
! 851: cat conftest.$ac_ext >&5
! 852: rm -rf conftest*
! 853: eval "ac_cv_lib_$ac_lib_var=no"
! 854: fi
! 855: rm -f conftest*
! 856: LIBS="$ac_save_LIBS"
! 857:
! 858: fi
! 859: if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
! 860: echo "$ac_t""yes" 1>&6
! 861: ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
! 862: -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
! 863: cat >> confdefs.h <<EOF
! 864: #define $ac_tr_lib 1
! 865: EOF
! 866:
! 867: LIBS="-lsocket $LIBS"
! 868:
! 869: else
! 870: echo "$ac_t""no" 1>&6
! 871: fi
! 872:
! 873: fi
! 874: echo $ac_n "checking for gethostbyname""... $ac_c" 1>&6
! 875: echo "configure:876: checking for gethostbyname" >&5
! 876: if eval "test \"`echo '$''{'ac_cv_func_gethostbyname'+set}'`\" = set"; then
! 877: echo $ac_n "(cached) $ac_c" 1>&6
! 878: else
! 879: cat > conftest.$ac_ext <<EOF
! 880: #line 881 "configure"
! 881: #include "confdefs.h"
! 882: /* System header to define __stub macros and hopefully few prototypes,
! 883: which can conflict with char gethostbyname(); below. */
! 884: #include <assert.h>
! 885: /* Override any gcc2 internal prototype to avoid an error. */
! 886: /* We use char because int might match the return type of a gcc2
! 887: builtin and then its argument prototype would still apply. */
! 888: char gethostbyname();
! 889:
! 890: int main() {
! 891:
! 892: /* The GNU C library defines this for functions which it implements
! 893: to always fail with ENOSYS. Some functions are actually named
! 894: something starting with __ and the normal name is an alias. */
! 895: #if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
! 896: choke me
! 897: #else
! 898: gethostbyname();
! 899: #endif
! 900:
! 901: ; return 0; }
! 902: EOF
! 903: if { (eval echo configure:904: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
! 904: rm -rf conftest*
! 905: eval "ac_cv_func_gethostbyname=yes"
! 906: else
! 907: echo "configure: failed program was:" >&5
! 908: cat conftest.$ac_ext >&5
! 909: rm -rf conftest*
! 910: eval "ac_cv_func_gethostbyname=no"
! 911: fi
! 912: rm -f conftest*
! 913: fi
! 914:
! 915: if eval "test \"`echo '$ac_cv_func_'gethostbyname`\" = yes"; then
! 916: echo "$ac_t""yes" 1>&6
! 917: :
! 918: else
! 919: echo "$ac_t""no" 1>&6
! 920: fi
! 921:
! 922: if test "$ac_cv_func_gethostbyname" = no ; then
! 923: echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
! 924: echo "configure:925: checking for gethostbyname in -lnsl" >&5
! 925: ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
! 926: if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
! 927: echo $ac_n "(cached) $ac_c" 1>&6
! 928: else
! 929: ac_save_LIBS="$LIBS"
! 930: LIBS="-lnsl $LIBS"
! 931: cat > conftest.$ac_ext <<EOF
! 932: #line 933 "configure"
! 933: #include "confdefs.h"
! 934: /* Override any gcc2 internal prototype to avoid an error. */
! 935: /* We use char because int might match the return type of a gcc2
! 936: builtin and then its argument prototype would still apply. */
! 937: char gethostbyname();
! 938:
! 939: int main() {
! 940: gethostbyname()
! 941: ; return 0; }
! 942: EOF
! 943: if { (eval echo configure:944: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
! 944: rm -rf conftest*
! 945: eval "ac_cv_lib_$ac_lib_var=yes"
! 946: else
! 947: echo "configure: failed program was:" >&5
! 948: cat conftest.$ac_ext >&5
! 949: rm -rf conftest*
! 950: eval "ac_cv_lib_$ac_lib_var=no"
! 951: fi
! 952: rm -f conftest*
! 953: LIBS="$ac_save_LIBS"
! 954:
! 955: fi
! 956: if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
! 957: echo "$ac_t""yes" 1>&6
! 958: ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
! 959: -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
! 960: cat >> confdefs.h <<EOF
! 961: #define $ac_tr_lib 1
! 962: EOF
! 963:
! 964: LIBS="-lnsl $LIBS"
! 965:
! 966: else
! 967: echo "$ac_t""no" 1>&6
! 968: fi
! 969:
! 970: fi
! 971:
! 972:
! 973: trap '' 1 2 15
! 974: cat > confcache <<\EOF
! 975: # This file is a shell script that caches the results of configure
! 976: # tests run on this system so they can be shared between configure
! 977: # scripts and configure runs. It is not useful on other systems.
! 978: # If it contains results you don't want to keep, you may remove or edit it.
! 979: #
! 980: # By default, configure uses ./config.cache as the cache file,
! 981: # creating it if it does not exist already. You can give configure
! 982: # the --cache-file=FILE option to use a different cache file; that is
! 983: # what configure does when it calls configure scripts in
! 984: # subdirectories, so they share the cache.
! 985: # Giving --cache-file=/dev/null disables caching, for debugging configure.
! 986: # config.status only pays attention to the cache file if you give it the
! 987: # --recheck option to rerun configure.
! 988: #
! 989: EOF
! 990: # The following way of writing the cache mishandles newlines in values,
! 991: # but we know of no workaround that is simple, portable, and efficient.
! 992: # So, don't put newlines in cache variables' values.
! 993: # Ultrix sh set writes to stderr and can't be redirected directly,
! 994: # and sets the high bit in the cache file unless we assign to the vars.
! 995: (set) 2>&1 |
! 996: case `(ac_space=' '; set | grep ac_space) 2>&1` in
! 997: *ac_space=\ *)
! 998: # `set' does not quote correctly, so add quotes (double-quote substitution
! 999: # turns \\\\ into \\, and sed turns \\ into \).
! 1000: sed -n \
! 1001: -e "s/'/'\\\\''/g" \
! 1002: -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
! 1003: ;;
! 1004: *)
! 1005: # `set' quotes correctly as required by POSIX, so do not add quotes.
! 1006: sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
! 1007: ;;
! 1008: esac >> confcache
! 1009: if cmp -s $cache_file confcache; then
! 1010: :
! 1011: else
! 1012: if test -w $cache_file; then
! 1013: echo "updating cache $cache_file"
! 1014: cat confcache > $cache_file
! 1015: else
! 1016: echo "not updating unwritable cache $cache_file"
! 1017: fi
! 1018: fi
! 1019: rm -f confcache
! 1020:
! 1021: trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
! 1022:
! 1023: test "x$prefix" = xNONE && prefix=$ac_default_prefix
! 1024: # Let make expand exec_prefix.
! 1025: test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
! 1026:
! 1027: # Any assignment to VPATH causes Sun make to only execute
! 1028: # the first set of double-colon rules, so remove it if not needed.
! 1029: # If there is a colon in the path, we need to keep it.
! 1030: if test "x$srcdir" = x.; then
! 1031: ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
! 1032: fi
! 1033:
! 1034: trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
! 1035:
! 1036: # Transform confdefs.h into DEFS.
! 1037: # Protect against shell expansion while executing Makefile rules.
! 1038: # Protect against Makefile macro expansion.
! 1039: cat > conftest.defs <<\EOF
! 1040: s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
! 1041: s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
! 1042: s%\[%\\&%g
! 1043: s%\]%\\&%g
! 1044: s%\$%$$%g
! 1045: EOF
! 1046: DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
! 1047: rm -f conftest.defs
! 1048:
! 1049:
! 1050: # Without the "./", some shells look in PATH for config.status.
! 1051: : ${CONFIG_STATUS=./config.status}
! 1052:
! 1053: echo creating $CONFIG_STATUS
! 1054: rm -f $CONFIG_STATUS
! 1055: cat > $CONFIG_STATUS <<EOF
! 1056: #! /bin/sh
! 1057: # Generated automatically by configure.
! 1058: # Run this file to recreate the current configuration.
! 1059: # This directory was configured as follows,
! 1060: # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
! 1061: #
! 1062: # $0 $ac_configure_args
! 1063: #
! 1064: # Compiler output produced by configure, useful for debugging
! 1065: # configure, is in ./config.log if it exists.
! 1066:
! 1067: ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
! 1068: for ac_option
! 1069: do
! 1070: case "\$ac_option" in
! 1071: -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
! 1072: echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
! 1073: exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
! 1074: -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
! 1075: echo "$CONFIG_STATUS generated by autoconf version 2.13"
! 1076: exit 0 ;;
! 1077: -help | --help | --hel | --he | --h)
! 1078: echo "\$ac_cs_usage"; exit 0 ;;
! 1079: *) echo "\$ac_cs_usage"; exit 1 ;;
! 1080: esac
! 1081: done
! 1082:
! 1083: ac_given_srcdir=$srcdir
! 1084:
! 1085: trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
! 1086: EOF
! 1087: cat >> $CONFIG_STATUS <<EOF
! 1088:
! 1089: # Protect against being on the right side of a sed subst in config.status.
! 1090: sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
! 1091: s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
! 1092: $ac_vpsub
! 1093: $extrasub
! 1094: s%@SHELL@%$SHELL%g
! 1095: s%@CFLAGS@%$CFLAGS%g
! 1096: s%@CPPFLAGS@%$CPPFLAGS%g
! 1097: s%@CXXFLAGS@%$CXXFLAGS%g
! 1098: s%@FFLAGS@%$FFLAGS%g
! 1099: s%@DEFS@%$DEFS%g
! 1100: s%@LDFLAGS@%$LDFLAGS%g
! 1101: s%@LIBS@%$LIBS%g
! 1102: s%@exec_prefix@%$exec_prefix%g
! 1103: s%@prefix@%$prefix%g
! 1104: s%@program_transform_name@%$program_transform_name%g
! 1105: s%@bindir@%$bindir%g
! 1106: s%@sbindir@%$sbindir%g
! 1107: s%@libexecdir@%$libexecdir%g
! 1108: s%@datadir@%$datadir%g
! 1109: s%@sysconfdir@%$sysconfdir%g
! 1110: s%@sharedstatedir@%$sharedstatedir%g
! 1111: s%@localstatedir@%$localstatedir%g
! 1112: s%@libdir@%$libdir%g
! 1113: s%@includedir@%$includedir%g
! 1114: s%@oldincludedir@%$oldincludedir%g
! 1115: s%@infodir@%$infodir%g
! 1116: s%@mandir@%$mandir%g
! 1117: s%@CC@%$CC%g
! 1118: s%@RANLIB@%$RANLIB%g
! 1119:
! 1120: CEOF
! 1121: EOF
! 1122:
! 1123: cat >> $CONFIG_STATUS <<\EOF
! 1124:
! 1125: # Split the substitutions into bite-sized pieces for seds with
! 1126: # small command number limits, like on Digital OSF/1 and HP-UX.
! 1127: ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
! 1128: ac_file=1 # Number of current file.
! 1129: ac_beg=1 # First line for current file.
! 1130: ac_end=$ac_max_sed_cmds # Line after last line for current file.
! 1131: ac_more_lines=:
! 1132: ac_sed_cmds=""
! 1133: while $ac_more_lines; do
! 1134: if test $ac_beg -gt 1; then
! 1135: sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
! 1136: else
! 1137: sed "${ac_end}q" conftest.subs > conftest.s$ac_file
! 1138: fi
! 1139: if test ! -s conftest.s$ac_file; then
! 1140: ac_more_lines=false
! 1141: rm -f conftest.s$ac_file
! 1142: else
! 1143: if test -z "$ac_sed_cmds"; then
! 1144: ac_sed_cmds="sed -f conftest.s$ac_file"
! 1145: else
! 1146: ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
! 1147: fi
! 1148: ac_file=`expr $ac_file + 1`
! 1149: ac_beg=$ac_end
! 1150: ac_end=`expr $ac_end + $ac_max_sed_cmds`
! 1151: fi
! 1152: done
! 1153: if test -z "$ac_sed_cmds"; then
! 1154: ac_sed_cmds=cat
! 1155: fi
! 1156: EOF
! 1157:
! 1158: cat >> $CONFIG_STATUS <<EOF
! 1159:
! 1160: CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
! 1161: EOF
! 1162: cat >> $CONFIG_STATUS <<\EOF
! 1163: for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
! 1164: # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
! 1165: case "$ac_file" in
! 1166: *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
! 1167: ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
! 1168: *) ac_file_in="${ac_file}.in" ;;
! 1169: esac
! 1170:
! 1171: # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
! 1172:
! 1173: # Remove last slash and all that follows it. Not all systems have dirname.
! 1174: ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
! 1175: if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
! 1176: # The file is in a subdirectory.
! 1177: test ! -d "$ac_dir" && mkdir "$ac_dir"
! 1178: ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
! 1179: # A "../" for each directory in $ac_dir_suffix.
! 1180: ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
! 1181: else
! 1182: ac_dir_suffix= ac_dots=
! 1183: fi
! 1184:
! 1185: case "$ac_given_srcdir" in
! 1186: .) srcdir=.
! 1187: if test -z "$ac_dots"; then top_srcdir=.
! 1188: else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
! 1189: /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
! 1190: *) # Relative path.
! 1191: srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
! 1192: top_srcdir="$ac_dots$ac_given_srcdir" ;;
! 1193: esac
! 1194:
! 1195:
! 1196: echo creating "$ac_file"
! 1197: rm -f "$ac_file"
! 1198: configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
! 1199: case "$ac_file" in
! 1200: *Makefile*) ac_comsub="1i\\
! 1201: # $configure_input" ;;
! 1202: *) ac_comsub= ;;
! 1203: esac
! 1204:
! 1205: ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
! 1206: sed -e "$ac_comsub
! 1207: s%@configure_input@%$configure_input%g
! 1208: s%@srcdir@%$srcdir%g
! 1209: s%@top_srcdir@%$top_srcdir%g
! 1210: " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
! 1211: fi; done
! 1212: rm -f conftest.s*
! 1213:
! 1214: EOF
! 1215: cat >> $CONFIG_STATUS <<EOF
! 1216:
! 1217: EOF
! 1218: cat >> $CONFIG_STATUS <<\EOF
! 1219:
! 1220: exit 0
! 1221: EOF
! 1222: chmod +x $CONFIG_STATUS
! 1223: rm -fr confdefs* $ac_clean_files
! 1224: test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>